/*
 * Aleph Toolkit
 *
 * Copyright 1997, Brown University, Providence, RI.
 * 
 *                         All Rights Reserved
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose other than its incorporation into a
 * commercial product is hereby granted without fee, provided that the
 * above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Brown University not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.
 * 
 * BROWN UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY
 * PARTICULAR PURPOSE.  IN NO EVENT SHALL BROWN UNIVERSITY BE LIABLE FOR
 * ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

package aleph.gui;

import java.awt.*;
import java.awt.event.*;
import java.net.*;

public class ErrorDialog extends Dialog {
  Label label;
  Button okButton;

  static public void  main(String[] args) {
    Frame frame = new Frame();
    TextArea textArea = new TextArea(5, 40);
    textArea.setEditable(false);
    textArea.append("this is a test");
    frame.add(textArea);
    frame.pack();
    ErrorDialog err = new ErrorDialog(frame, "testing error dialog");
  }

  public ErrorDialog(Frame frame, String message) {
    super(frame, "Error", true);

    Panel panel = new Panel();
    label = new Label(message);
    panel.add(label);

    okButton = new Button("OK");
    okButton.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent e) {setVisible(false); dispose();}
    });
    panel.add(okButton);
    add(panel);
    pack();
    setVisible(true);
  }

}
